%define _buildid .8

%global py26nvr python26-pystache-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-pystache-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name pystache

Name: python-pystache
Version: 0.5.3
Release: 2%{?_buildid}%{?dist}
Summary: Mustache for Python
Group: System Environment/Libraries
License: MIT
URL: http://pypi.python.org/pypi/%{upstream_name}/
Source0: http://pypi.python.org/packages/source/p/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

%package -n python26-pystache
Summary: Mustache for Python
BuildRequires: python26-devel
BuildRequires: python26-setuptools
Requires: python26(alternatives)
Requires: alternatives(addslave)
Requires: alternatives(removeslave)
Requires: alternatives(force)
Requires(preun): python26(alternatives)
Requires(preun): alternatives(removeslave)
Provides: python-pystache = %{version}-%{release}
Provides: pystache = %{version}-%{release}
Obsoletes: pystache <= 0.5.3-2.3.amzn1

%description -n python26-pystache
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

This package is meant to be used with Python 2.6.

%package -n python27-pystache
Summary: Mustache for Python
BuildRequires: python27-devel
BuildRequires: python27-setuptools
Requires: python27(alternatives)
Requires: alternatives(addslave)
Requires: alternatives(removeslave)
Requires: alternatives(force)
Requires(preun): python27(alternatives)
Requires(preun): alternatives(removeslave)
Conflicts: python-pystache <= 0.5.3-2.3.amzn1
Conflicts: pystache <= 0.5.3-2.3.amzn1

%description -n python27-pystache
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

This package is meant to be used with Python 2.7.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd
pushd %{py26builddir}
%{__python26_shebang} build/lib/pystache/tests/benchmark.py
popd
pushd %{py27builddir}
%{__python27_shebang} build/lib/pystache/tests/benchmark.py
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
mv %{buildroot}%{_bindir}/pystache{,-2.6}
mv %{buildroot}%{_bindir}/pystache-test{,-2.6}

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
mv %{buildroot}%{_bindir}/pystache{,-2.7}
mv %{buildroot}%{_bindir}/pystache-test{,-2.7}

%check
%if %{with tests}
pushd %{py26builddir}
%{__python26} -m pystache.commands.test
popd
pushd %{py27builddir}
%{__python27} -m pystache.commands.test
popd
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%triggerin -n python26-pystache -- python26
# Refresh alternatives when updating python26-pystache or python26.
%{_sbindir}/update-alternatives \
  --force \
  --update python %{_bindir}/python2.6 \
  --addslave %{_bindir}/pystache pystache %{_bindir}/pystache-2.6 \
  --addslave %{_bindir}/pystache-test pystache-test %{_bindir}/pystache-test-2.6 \
  || :

%preun -n python26-pystache
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives \
    --update python %{_bindir}/python2.6 \
    --removeslave pystache \
    --removeslave pystache-test \
 || :
fi

%triggerin -n python27-pystache -- python27
# Refresh alternatives when updating python27-pystache or python27.
%{_sbindir}/update-alternatives \
  --force \
  --update python %{_bindir}/python2.7 \
  --addslave %{_bindir}/pystache pystache %{_bindir}/pystache-2.7 \
  --addslave %{_bindir}/pystache-test pystache-test %{_bindir}/pystache-test-2.7 \
  || :

%preun -n python27-pystache
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives \
    --update python %{_bindir}/python2.7 \
    --removeslave pystache \
    --removeslave pystache-test \
 || :
fi

%files -n python26-pystache
%doc PKG-INFO HISTORY.md README.md LICENSE
%{python26_sitelib}/*
%{_bindir}/pystache-2.6
%{_bindir}/pystache-test-2.6
%ghost %{_bindir}/pystache
%ghost %{_bindir}/pystache-test

%files -n python27-pystache
%doc PKG-INFO HISTORY.md README.md LICENSE
%{python27_sitelib}/*
%{_bindir}/pystache-2.7
%{_bindir}/pystache-test-2.7
%ghost %{_bindir}/pystache
%ghost %{_bindir}/pystache-test

%changelog
* Wed Feb 4 2015 Jason Green <jasg@amazon.com>
- Build with multiple pythons

* Sat Sep 14 2013 Andrew Jorgensen <ajorgens@amazon.com>
- Conditionalize simplejson dependency

* Wed Sep 4 2013 Lee Trager <ltrager@amazon.com>
- import source package F18/pystache-0.5.3-2.fc18

* Sun May 19 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.5.3-2
- Disable py3 support for F18 since python3-simplejson isn't available

* Sun May 19 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.5.3-1
- Update to 0.5.3
- Add py3 support

* Sat Feb 23 2013 Lee Trager <ltrager@amazon.com>
- import source package F18/pystache-0.5.2-1.fc18
- setup complete for package pystache

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 12 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.5.2-1
- Update to latest upstream version #864264

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 06 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.1-2
- spec bump for gcc 4.7 rebuild

* Wed Oct 26 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.1-1
Initial rpmbuild
